/* EZLM platform independence header file */

#ifndef __EZLMPLAT_H
#define __EZLMPLAT_H

#if !defined(_WINDOWS)
#if defined(WIN32)
#	define _WINDOWS
#endif
#endif

#if !defined(_WINDOWS)
#	include <unistd.h>
#	include <sys/stat.h>
#if defined(LINUX)
#	include <sys/utsname.h>
#endif
#else
#	include <winsock.h>
#	include <winbase.h>
#	include <io.h>
#	include <sys/stat.h>
#endif

#if defined(_WINDOWS)
#	define CALLING_CONVENTION __stdcall
#	define DLLEXPORT __declspec( dllexport )
#elif defined(_CYGWIN)
#	define CALLING_CONVENTION __stdcall
#	define DLLEXPORT
#else
#	define CALLING_CONVENTION
#	define DLLEXPORT
#endif

#endif
